package dk.itu.mario.level.matcher;

public class PlayerProfile {
	//From Bartle/Yee models of player psychology: achiever, killer, explorer, manipulator
	public enum TYPE { RUNNER, SHOOTER, JUMPER, BUMPER}
	//Dreyfus model of skill acquisition:
	public enum SKILL_LEVEL { NOVICE, BEGINNER, COMPETENT, PROFICIENT, EXPERT}
	
	private SKILL_LEVEL skillLevel;
	private TYPE type;
	
	public PlayerProfile(SKILL_LEVEL skillLevel, TYPE type) {
		this.skillLevel = skillLevel;
		this .type = type;
	}
	
	public SKILL_LEVEL getSkillLevel() {
		return skillLevel;
	}
	
	public TYPE getType() {
		return type;
	}
	
	@Override
	public String toString() {
		return skillLevel + " " + type;
	}
}
